%define upstream_name    YAML-Accessor
%define upstream_version 0.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Sugary accessors for YAML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strictures)
BuildArch:  noarch

%description
'YAML::Accessor' aims to create a "gettr/settr" interface for YAML
objects/files and allow the user to both manipulate their structure and to
read and write from the (specified) file(s).

It doesn't use the simple 'YAML::XS' call 'LoadFile' and this may seem
unintuitive for users of YAML::XS. The point is not to reinvent YAML::XS,
but rather to create intuitive, easily-constructed objects with
proper accessor/mutator methods.

There are lots of things one could do with this; the obvious use case is a
config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.450.0-9.mga9
+ Revision: 1817373
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.450.0-8.mga8
+ Revision: 1498562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.450.0-7.mga7
+ Revision: 1272849
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.450.0-6.mga6
+ Revision: 1036179
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.450.0-5.mga6
+ Revision: 931126
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.450.0-4.mga5
+ Revision: 748367
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.450.0-3.mga5
+ Revision: 686988
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.450.0-2.mga4
+ Revision: 534881
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.450.0-1.mga4
+ Revision: 479963
- update to 0.45

* Sun Jan 13 2013 umeabot <umeabot> 0.440.0-2.mga3
+ Revision: 375292
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 kharec <kharec> 0.440.0-1.mga2
+ Revision: 213817
- update to 0.44

* Thu Feb 23 2012 kharec <kharec> 0.430.0-1.mga2
+ Revision: 212537
- Add a BR on strictures
- imported package perl-YAML-Accessor


* Thu Feb 23 2012 cpan2dist 0.43-1mga
- initial mageia release, generated with cpan2dist
